textprintf_right_ex(3)

NAME
textprintf_right_ex - Formatted right aligned output of a string. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void textprintf_right_ex(BITMAP *bmp, const FONT *f, int x, y, color, bg, const char *fmt, ...);

DESCRIPTION
Like textprintf_ex(), but interprets the x coordinate as the right rather than the left edge of the string. This function shares the text length limitation of textprintf_ex(). Example:
   textprintf_right_ex(screen, font, SCREEN_W - 10, 10,
                       makecol(200, 200, 20), -1,
                       "%d bullets left", player_ammo);

SEE ALSO
textprintf_ex(3), textout_right_ex(3), exnewapi(3)